package config

type BasicConfig struct {
	Server ServerConfig `yaml:"server"`

	DataSources []DataBaseConfig `yaml:"dataSources"`
}

type ServerConfig struct {
	// 监听 地址:端口
	Addr string `yaml:"addr"`
	// 是否开启多进程
	PreFork bool `yaml:"preFork"`
	// 路由 大小写严格
	CaseSensitive bool `yaml:"caseSensitive"`
	// 严格路由 例: 设置为 true 时, /foo != /foo/
	StrictRouting bool `yaml:"strictRouting"`
	// 设置 Http 请求头中的 Server 名称
	ServerHeader string `yaml:"serverHeader"`
}

type DataBaseConfig struct {
	Addr string `yaml:"addr"`
	DB   string `yaml:"db"`
}

type RedisConfig struct {
	Addr string `yaml:"addr"`
	Pass string `yaml:"pass"`
}
